.palette-default {
  --palette-bg: #ffffff;
  --palette-text: #061922;
  background-color: var(--palette-bg);
  color: var(--palette-text);
}
.palette-default:not(.no-padding) {
  padding-top: clamp(56px, 7.7777777778vw, 112px);
  padding-bottom: clamp(56px, 7.7777777778vw, 112px);
}

.palette-soft {
  --palette-bg: #F5F5F5;
  --palette-text: #061922;
  background-color: var(--palette-bg);
  color: var(--palette-text);
}
.palette-soft:not(.no-padding) {
  padding-top: clamp(56px, 7.7777777778vw, 112px);
  padding-bottom: clamp(56px, 7.7777777778vw, 112px);
}

.palette-default:not(.no-padding) + .palette-default {
  padding-top: 0;
}

.palette-soft:not(.no-padding) + .palette-soft {
  padding-top: 0;
}

[class*=palette-] [class*=palette-] {
  padding-top: 0;
  padding-bottom: 0;
}

*, *:before, *:after {
  box-sizing: border-box;
}

html,
body {
  width: 100%;
  max-width: 100%;
}
html.no-scroll,
body.no-scroll {
  overflow: hidden;
}

html {
  overflow-x: hidden;
  overflow-y: auto;
}

body {
  background: var(--color-white);
  font-family: var(--font-main);
  font-size: 18px;
  font-weight: 500;
  line-height: 1.6;
  color: var(--color-black);
  position: relative;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

::selection {
  color: white;
  background: var(--color-main);
}

/* ---------- General ---------- */
.lws-border {
  border-color: var(--color-border-gray);
}

/* ---------- Containers ---------- */
.lws-width {
  width: 100%;
}
.lws-width.medium {
  max-width: 950px;
}
.lws-width.small {
  max-width: 620px;
}

.container {
  padding-right: 24px;
  padding-left: 24px;
  margin-right: auto;
  margin-left: auto;
  width: 100%;
  max-width: 1276px;
}
@media (min-width: 48rem) {
  .container {
    width: 94%;
  }
}
@media (min-width: 64rem) {
  .container {
    width: 88%;
  }
}
.container.extra-large {
  width: 100%;
  max-width: 1440px;
}
.container.large {
  width: 100%;
  max-width: 1376px;
}
.container.medium {
  max-width: 998px;
}
.container.small {
  max-width: 668px;
}
.container.full {
  width: 100%;
  max-width: none;
}
.container.full.has-side-padding {
  padding-right: clamp(24px, 3.3333333333vw, 48px);
  padding-left: clamp(24px, 3.3333333333vw, 48px);
}

/* ---------- link ---------- */
.absolute-link {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 50;
  width: 100%;
  height: 100%;
}

/* ---------- Img ---------- */
img:not([src]):not([srcset]) {
  visibility: hidden;
}

/* ---------- Socials ---------- */
.socials-holder {
  display: flex;
  gap: 12px;
}
.socials-holder a {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease;
}
.socials-holder a:hover {
  color: var(--color-accent);
}
.socials-holder a i {
  display: block;
  font-size: 20px;
}

main {
  padding-top: var(--nav-height);
}

.header {
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  position: fixed;
  transition: all 0.3s ease;
}
.header.shrink .sub-header {
  transform: translateY(-100%);
}
.header .main-header {
  position: relative;
  z-index: 50;
  background: var(--color-main);
  color: var(--color-white);
  height: var(--nav-height);
}
.header .container,
.header .header-item {
  height: 100%;
}
.header .header-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
  gap: clamp(2px, 2vw, 24px);
}
@media (min-width: 80rem) {
  .header .header-item {
    gap: clamp(2px, 2vw, 72px);
  }
}
.header .logo-holder .logo {
  position: relative;
}
.header .logo-holder .logo img {
  width: 180px;
}
.header .logo-holder .logo a, .header .logo-holder .logo img {
  display: block;
}
.header .menu-side {
  display: flex;
}
.header .menu-side.right {
  justify-content: end;
  align-items: center;
  gap: clamp(0px, 2vw, 12px);
}
@media (min-width: 80rem) {
  .header .menu-side.right {
    gap: clamp(0px, 2vw, 36px);
  }
}
.header .menu-side.right .buttons-holder {
  display: none;
}
@media (min-width: 48rem) {
  .header .menu-side.right .buttons-holder {
    display: flex;
  }
}
@media (min-width: 80rem) {
  .header .menu-side.right .buttons-holder {
    padding-inline-start: 12px;
  }
}
.header .main-menu {
  display: none;
}
@media (min-width: 64rem) and (pointer: fine) {
  .header .main-menu {
    display: flex;
  }
}
.header .main-menu .menu {
  display: flex;
  align-items: center;
}
.header .main-menu .menu li {
  display: flex;
  align-items: center;
}
.header .main-menu .menu li:last-child {
  position: relative;
  padding-left: clamp(0px, 2vw, 12px);
}
@media (min-width: 80rem) {
  .header .main-menu .menu li:last-child {
    padding-left: clamp(0px, 2vw, 48px);
  }
}
.header .main-menu .menu li:last-child::before {
  content: none;
}
@media (min-width: 64rem) {
  .header .main-menu .menu li:last-child::before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    height: 150%;
    width: 1px;
    background: var(--color-secondary);
  }
}
.header .main-menu .menu a {
  display: flex;
  align-items: center;
  height: 100%;
}
.header .hamburger-holder {
  display: flex;
}
@media (min-width: 64rem) and (pointer: fine) {
  .header .hamburger-holder {
    display: none;
  }
}
.header .hamburger-holder .hamburger {
  transition: all 0.3s ease;
}
.header .hamburger-holder .hamburger .line {
  width: 24px;
  height: 2px;
  display: block;
  margin: 7px auto;
  background-color: var(--color-white);
  border-radius: 100vh;
  transition: all 0.3s ease;
}
.header .hamburger-holder .hamburger .line:first-of-type {
  margin-top: 0;
}
.header .hamburger-holder .hamburger .line:last-of-type {
  margin-bottom: 0;
}
.header .hamburger-holder .hamburger:hover {
  cursor: pointer;
}
.header .hamburger-holder .hamburger.is-active {
  animation: smallbig 0.6s forwards;
}
.header .hamburger-holder .hamburger.is-active .line:nth-child(1),
.header .hamburger-holder .hamburger.is-active .line:nth-child(2),
.header .hamburger-holder .hamburger.is-active .line:nth-child(3) {
  transition-delay: 0.2s;
}
.header .hamburger-holder .hamburger.is-active .line:nth-child(2) {
  opacity: 0;
}
.header .hamburger-holder .hamburger.is-active .line:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}
.header .hamburger-holder .hamburger.is-active .line:nth-child(3) {
  transform: translateY(-9px) rotate(-45deg);
}
.header .sub-header {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background: var(--color-secondary);
  color: var(--color-white);
  padding-block: 13px;
  width: 100%;
  transition: transform 0.3s ease;
}
@media (min-width: 64rem) {
  .header .sub-header {
    display: block;
  }
}
.header .sub-header .sub-header-items {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: clamp(24px, 2.7777777778vw, 40px);
}
.header .sub-header .sub-header-items ul {
  gap: clamp(24px, 2.7777777778vw, 40px);
}

.main-menu {
  height: 100%;
  margin-right: auto;
  display: none;
}
@media (min-width: 80rem) {
  .main-menu {
    display: flex;
  }
}

.header .main-menu > ul {
  gap: clamp(0px, 2vw, 12px);
}
@media (min-width: 80rem) {
  .header .main-menu > ul {
    gap: clamp(0px, 2vw, 48px);
  }
}
.header .main-menu > ul > li > a:hover {
  text-decoration-color: currentColor;
}
.header ul {
  display: flex;
  margin: 0;
  height: 100%;
}
.header ul li {
  display: flex;
  align-items: center;
  position: relative;
  /* ---------- Hover dropdown ---------- */
}
.header ul li:hover .dropdown-menu {
  opacity: 1;
  pointer-events: auto;
}
.header ul li:hover {
  /* Icon hover swap */
}
.header ul li:hover .icon-hover {
  display: inline-block;
}
.header ul li:hover .icon-default {
  display: none;
}
.header ul li a {
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: 16px !important;
  font-weight: 500 !important;
  text-decoration: underline;
  text-underline-offset: 2px;
  text-decoration-color: rgba(0, 0, 0, 0);
  text-transform: initial;
  transition: all 0.3s ease;
}
.header ul li a:hover {
  text-decoration-color: currentColor;
}
.header ul li .dropdown-menu {
  display: block !important;
  position: absolute;
  top: calc(100% - 15px);
  left: -100px;
  z-index: 1;
  background: var(--color-white);
  border: 1px solid var(--color-border-gray);
  margin: 0;
  height: auto;
  min-width: clamp(350px, 29.1666666667vw, 420px);
  opacity: 0;
  pointer-events: none;
  text-transform: uppercase;
  transition: opacity 0.3s ease;
}
.header ul li .dropdown-menu li:not(:first-child) {
  border-top: 1px solid var(--color-border-gray);
}
.header ul li .dropdown-menu li a {
  text-decoration: none;
  display: block;
  font-size: clamp(16px, 1.25vw, 18px);
  padding: clamp(16px, 1.25vw, 18px) clamp(18px, 1.6666666667vw, 24px);
  width: 100%;
}
.header ul li .dropdown-menu li a:hover {
  background: var(--color-border-gray);
}
.header ul li .dropdown-toggle {
  min-height: 100px;
}
.header ul li .icon-hover {
  display: none;
}
.header ul li .icon-default {
  display: inline-block;
}

.link-underline {
  position: relative;
  text-decoration: none;
  color: inherit;
  padding-bottom: 1px;
  background: linear-gradient(90deg, #ffffff, #ffffff);
  background-size: 100% 1px;
  background-position-x: 0%;
  background-position-y: calc(100% - 1px);
  background-repeat: no-repeat;
}
@media (hover: hover) and (pointer: fine) {
  .link-underline:hover {
    animation-name: underlineHover;
    animation-duration: 0.6s;
    animation-timing-function: ease-in-out;
  }
}

.buttons-holder {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: var(--buttons-halign);
  gap: 1.5rem;
}

.button-text {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 0.28px;
  line-height: 1;
  color: var(--color-main);
  text-decoration: none;
  cursor: pointer;
  transition: all 0.3s ease;
}
.button-text svg {
  transition: transform 0.3s ease;
}
@media (hover: hover) and (pointer: fine) {
  .button-text:hover svg {
    transform: translateX(4px);
  }
}
.button-text.soft {
  color: var(--color-white);
}
.button-text.soft svg path {
  fill: var(--color-white);
}

.button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  border-radius: 0;
  border: 0;
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 0.28px;
  line-height: 1;
  color: var(--color-white);
  text-decoration: none;
  background: var(--color-secondary);
  cursor: pointer;
  padding: 18px;
  transition: all 0.3s ease;
}
.button svg {
  transition: transform 0.3s ease;
}
.button svg path {
  fill: var(--color-white);
  transition: fill 0.3s ease;
}
@media (hover: hover) and (pointer: fine) {
  .button:hover {
    background: var(--color-accent) !important;
    color: var(--color-white) !important;
  }
  .button:hover svg {
    transform: translateX(4px);
  }
  .button:hover svg path {
    fill: var(--color-white) !important;
  }
}
.button.soft {
  color: var(--color-main);
  background: var(--color-gray-1);
}
.button.soft svg path {
  fill: var(--color-main);
}

.home .block-banner .hero.background-image, .home .block-banner .hero.background-video {
  min-height: var(--window-height-without-menu);
}

.block-banner {
  display: block;
  margin: 0 auto;
  width: 100%;
}
.block-banner .palette-dark {
  background: none;
}
.block-banner .arrow-down {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  bottom: 0;
  right: 0;
  z-index: 100;
  background: var(--color-accent);
  width: 65px;
  height: 100px;
  cursor: pointer;
}
@media (min-width: 48rem) {
  .block-banner .arrow-down {
    width: 100px;
    height: 160px;
  }
}
.block-banner .arrow-down svg {
  height: 24px;
  width: auto;
}
@media (min-width: 48rem) {
  .block-banner .arrow-down svg {
    height: 30px;
    width: auto;
  }
}
.block-banner .hero {
  display: flex;
  align-items: center;
  justify-content: center;
}
.block-banner .hero.background-none {
  border-bottom: 1px solid var(--color-border);
}
.block-banner .hero.background-image {
  min-height: var(--window-height-without-menu);
}
@media (min-width: 48rem) {
  .block-banner .hero.background-image {
    min-height: 530px;
  }
}
.block-banner .hero.background-video {
  min-height: var(--window-height-without-menu);
}
.block-banner .hero.background-image, .block-banner .hero.background-video {
  position: relative;
  align-items: end;
  justify-content: start;
  color: var(--color-white);
}
.block-banner .hero.background-image h1, .block-banner .hero.background-image h2, .block-banner .hero.background-video h1, .block-banner .hero.background-video h2 {
  color: inherit;
}
.block-banner .hero.background-image picture img,
.block-banner .hero.background-image video, .block-banner .hero.background-video picture img,
.block-banner .hero.background-video video {
  display: block;
  position: absolute;
  z-index: 5;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.block-banner .hero.background-image iframe, .block-banner .hero.background-video iframe {
  position: absolute;
  inset: 0;
  object-fit: cover;
  width: 100%;
  height: 100%;
  z-index: 2;
}
.block-banner .hero.background-image .bg-poster, .block-banner .hero.background-video .bg-poster {
  width: 100%;
  height: 100%;
  object-fit: cover;
  image-rendering: auto;
  z-index: 1;
}
.block-banner .hero.background-image .video-wrapper, .block-banner .hero.background-video .video-wrapper {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.block-banner .hero.background-image .video-wrapper iframe, .block-banner .hero.background-video .video-wrapper iframe {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100vw;
  height: 56.25vw;
  min-width: 177.77vh;
  min-height: 100vh;
  transform: translate(-50%, -50%);
  border: 0;
}
.block-banner .hero.background-image .hero-background, .block-banner .hero.background-video .hero-background {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.block-banner .hero.background-image .hero-background:before, .block-banner .hero.background-video .hero-background:before {
  content: "";
  display: block;
  position: absolute;
  z-index: 10;
  top: 0;
  left: 0;
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 100%);
  width: 100%;
  height: 100%;
}
.block-banner .hero.background-image .hero-body, .block-banner .hero.background-video .hero-body {
  align-items: start;
  padding-top: clamp(56px, 7.7777777778vw, 112px);
  padding-bottom: 24px;
  padding-right: 42px;
}
@media (min-width: 48rem) {
  .block-banner .hero.background-image .hero-body, .block-banner .hero.background-video .hero-body {
    padding-bottom: clamp(24px, 4.4444444444vw, 64px);
    padding-right: 0;
  }
}
.block-banner .hero .hero-body {
  position: relative;
  align-items: center;
  z-index: 50;
  max-width: clamp(520px, 51.3888888889vw, 740px);
  padding-top: clamp(56px, 11.3888888889vw, 164px);
  padding-bottom: clamp(56px, 7.7777777778vw, 112px);
}